Subject: Re: Cygwin on Windows Me on Athlon64
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Fri, 26 Sep 2003 16:23:56 -0700

Koide wrote:
> 
> Now I am using cygwin on Windows Me on AthlonXP .
> 
>  I will have Athlon64 system shortly . Then I want to use cygwin
> on Athlon64 . The executable files of programs comliled on Athlon64
> should be much faster than those are compiled on AthlonXP .
> 
>  Then now I am wondering if ;
> 1 . Can cygwin be installed correctly on Windows Me on Athlon64 .
>     (Just the same as using the install wizard .)
> 2 . To compile the program , gcc is certainly needed .
>     To compile the program of 64bit , is it sufficient to install
>     gcc using the install wizard and type "gcc ______.c" ?

I would be very surpised if Windows ME supported any kind of 64 bit
extensions.  You most likely will need to wait for the 64 bit version of
Windows XP to be released to take full advantage.  However, the Athlon
64 will be much faster simply because it is highly optimized for 32 bit
stuff, that's the whole point.  You can have your cake and eat it too:
old stuff runs fast, and when support eventually makes it into the OS,
compiler, and software, then you get an additional increase.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/